--预测相关表结构
/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PREDICT_GUIDE')
CREATE TABLE T_EB_PREDICT_GUIDE
(
    FID             BIGINT DEFAULT 0 NOT NULL,
    FCREATER        BIGINT DEFAULT 0 NOT NULL,
    FCREATEDATE     DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_PREDICT_GUIDE', 'T_EB_PREDICT_GUIDE', 'FID', '1';


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PREDICT_PARAM')
CREATE TABLE T_EB_PREDICT_PARAM
(
    FID             BIGINT DEFAULT 0 NOT NULL,
    FMODEL          BIGINT DEFAULT 0 NOT NULL,
    FDATATYPE       BIGINT DEFAULT 0 NOT NULL,
    FVERSION        BIGINT DEFAULT 0 NOT NULL,
    FSAMPLELEN      BIGINT DEFAULT 0 NOT NULL,
    FUSEMODEL       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FREQTYPE        NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FMODIFIER       BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE     DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_PREDICT_PARAM', 'T_EB_PREDICT_PARAM', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_PARAM_MD')
CREATE INDEX IDX_EB_PREDICT_PARAM_MD ON T_EB_PREDICT_PARAM ( FMODEL );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PREDICT_TARGET')
CREATE TABLE T_EB_PREDICT_TARGET
(
    FID             BIGINT DEFAULT 0 NOT NULL,
    FMODEL          BIGINT DEFAULT 0 NOT NULL,
    FDATASET        BIGINT DEFAULT 0 NOT NULL,
    FDIMCONF        NCLOB,
    FDIMVIEW        NCLOB,
    FMODIFIER       BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE     DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_PREDICT_TARGET', 'T_EB_PREDICT_TARGET', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_TARGET_TMD')
CREATE INDEX IDX_EB_PREDICT_TARGET_TMD ON T_EB_PREDICT_TARGET ( FMODEL );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_TARGET_TDD')
CREATE INDEX IDX_EB_PREDICT_TARGET_TDD ON T_EB_PREDICT_TARGET ( FDATASET );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PREDICT_FACTOR')
CREATE TABLE T_EB_PREDICT_FACTOR
(
    FID             BIGINT DEFAULT 0 NOT NULL,
    FTARGETID       BIGINT DEFAULT 0 NOT NULL,
    FDIMHASH        BIGINT DEFAULT 0 NOT NULL,
    FMODEL          BIGINT DEFAULT 0 NOT NULL,
    FDATASET        BIGINT DEFAULT 0 NOT NULL,
    FNAME           NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FDIMCONF        NCLOB,
    FDIMVIEW        NCLOB,
    FMODIFIER       BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE     DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_PREDICT_FACTOR', 'T_EB_PREDICT_FACTOR', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_FACTOR_FMD')
CREATE INDEX IDX_EB_PREDICT_FACTOR_FMD ON T_EB_PREDICT_FACTOR ( FMODEL );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_FACTOR_FDD')
CREATE INDEX IDX_EB_PREDICT_FACTOR_FDD ON T_EB_PREDICT_FACTOR ( FDATASET );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_FACTOR_FTT')
CREATE INDEX IDX_EB_PREDICT_FACTOR_FTT ON T_EB_PREDICT_FACTOR ( FTARGETID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_FACTOR_FDH')
CREATE INDEX IDX_EB_PREDICT_FACTOR_FDH ON T_EB_PREDICT_FACTOR ( FDIMHASH );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PREDICT_FACTOR_L')
CREATE TABLE T_EB_PREDICT_FACTOR_L
(
    FPKID          NVARCHAR(36) DEFAULT ' ' NOT NULL,
    FID            BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID      NVARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME          NVARCHAR(50) DEFAULT ' ' NOT NULL
);
-- 主键
EXEC P_ALTERPK 'PK_EB_PREDICT_FACTOR_L', 'T_EB_PREDICT_FACTOR_L', 'FPKID', '1';


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PREDICT_RECORD')
CREATE TABLE T_EB_PREDICT_RECORD
(
    FID              BIGINT DEFAULT 0 NOT NULL,
    FMODEL           BIGINT DEFAULT 0 NOT NULL,
    FDATASET         BIGINT DEFAULT 0 NOT NULL,
    FBIZMODEL        BIGINT DEFAULT 0 NOT NULL,
    FCANVAS          BIGINT DEFAULT 0 NOT NULL,
    FSANDBOX         BIGINT DEFAULT 0 NOT NULL,
    FSCHEME          BIGINT DEFAULT 0 NOT NULL,
    FPROCESS         BIGINT DEFAULT 0 NOT NULL,
    FSAMPLELEN       BIGINT DEFAULT 0 NOT NULL,
    FATTACH          NVARCHAR(200) DEFAULT ' ' NOT NULL,
    FPREDMODEL       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FTARGET          NVARCHAR(150) DEFAULT ' ' NOT NULL,
    FFACTOR          NVARCHAR(150) DEFAULT ' ' NOT NULL,
    FPREDSTART       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FPREDEND         NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS          NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FREASON          NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FCREATERID       BIGINT DEFAULT 0 NOT NULL,
    FCREATEDATE      DATETIME,
    FMODIFIERID      BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE      DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_PREDICT_RECORD', 'T_EB_PREDICT_RECORD', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_RECORD_FMD')
CREATE INDEX IDX_EB_PREDICT_RECORD_FMD ON T_EB_PREDICT_RECORD ( FMODEL );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_RECORD_FDD')
CREATE INDEX IDX_EB_PREDICT_RECORD_FDD ON T_EB_PREDICT_RECORD ( FDATASET );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_RECORD_FCV')
CREATE INDEX IDX_EB_PREDICT_RECORD_FCV ON T_EB_PREDICT_RECORD ( FCANVAS );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_RECORD_FSC')
CREATE INDEX IDX_EB_PREDICT_RECORD_FSC ON T_EB_PREDICT_RECORD ( FSCHEME );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_RECORD_FPC')
CREATE INDEX IDX_EB_PREDICT_RECORD_FPC ON T_EB_PREDICT_RECORD ( FPROCESS );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_PREDICT_RESULT')
CREATE TABLE T_EB_PREDICT_RESULT
(
    FID                BIGINT DEFAULT 0 NOT NULL,
    FDIMHASH           BIGINT DEFAULT 0 NOT NULL,
    FRECORDID          BIGINT DEFAULT 0 NOT NULL,
    FPERIODTYPE        BIGINT DEFAULT 0 NOT NULL,
    FENTITY            NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FACCOUNT           NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FMEMBERS           NVARCHAR(2000) DEFAULT ' ' NOT NULL,
    FDIMVIEW           NVARCHAR(2000) DEFAULT ' ' NOT NULL,
    FDATAUNIT          NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FMETRIC            NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FPREDINDEX         NCLOB,
    FPREDDATA          NCLOB,
    FFITDATA           NCLOB,
    FSAMPLEINDEX       NCLOB,
    FSAMPLEDATA        NCLOB,
    FCONFIDENCEMIN     NCLOB,
    FCONFIDENCEMAX     NCLOB,
    FCORR              NCLOB,
    FSTATUS            NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FREASON            NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FNAME              NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FMODIFIERID        BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE        DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_PREDICT_RESULT', 'T_EB_PREDICT_RESULT', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_RESULT_FDMHS')
CREATE INDEX IDX_EB_PREDICT_RESULT_FDMHS ON T_EB_PREDICT_RESULT ( FDIMHASH );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PREDICT_RESULT_FRCD')
CREATE INDEX IDX_EB_PREDICT_RESULT_FRCD ON T_EB_PREDICT_RESULT ( FRECORDID );



/**END **/