/**
  数据集成采集方案增加字段
 */
--方案类型字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FSCHEMETYPE'))
ALTER TABLE T_EB_INTEGRATION ADD (FSCHEMETYPE NVARCHAR(5) NOT NULL DEFAULT '1');
--业务模型字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FBIZMODEL'))
ALTER TABLE T_EB_INTEGRATION ADD (FBIZMODEL BIGINT NOT NULL DEFAULT 0);
--执行方案分类字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FEXECUTESCHEME'))
ALTER TABLE T_EB_INTEGRATION ADD (FEXECUTESCHEME BIGINT NOT NULL DEFAULT 0);
--总账集成方案相关-- 取数类型
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FGETDATATYPE'))
ALTER TABLE T_EB_INTEGRATION ADD (FGETDATATYPE NVARCHAR(10) NOT NULL DEFAULT ' ');
--总账集成方案相关-- 核算体系
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FCALCULATEMODEL'))
ALTER TABLE T_EB_INTEGRATION ADD (FCALCULATEMODEL BIGINT NOT NULL DEFAULT 0);
--总账集成方案相关-- 核算视图
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FCALCULATEVIEW'))
ALTER TABLE T_EB_INTEGRATION ADD (FCALCULATEVIEW BIGINT NOT NULL DEFAULT 0);
--总账集成方案相关-- 科目表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FACCOUNTTABLE'))
ALTER TABLE T_EB_INTEGRATION ADD (FACCOUNTTABLE BIGINT NOT NULL DEFAULT 0);
--总账集成方案相关-- 账簿类型
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FACCOUNTBOOKTYPE'))
ALTER TABLE T_EB_INTEGRATION ADD (FACCOUNTBOOKTYPE BIGINT NOT NULL DEFAULT 0);
--总账集成方案相关-- 会计期间类型
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FCALCULATEPERIODTYPE'))
ALTER TABLE T_EB_INTEGRATION ADD (FCALCULATEPERIODTYPE BIGINT NOT NULL DEFAULT 0);
--总账集成方案相关-- 币别
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FCURRENCY'))
ALTER TABLE T_EB_INTEGRATION ADD (FCURRENCY BIGINT NOT NULL DEFAULT 0);

--合并集成方案相关-- 源体系
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FSRCMODEL'))
ALTER TABLE T_EB_INTEGRATION ADD (FSRCMODEL BIGINT NOT NULL DEFAULT 0);
--合并集成方案相关-- 源组织视图
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION' AND KSQL_COL_NAME IN ('FSRCORGVIEW'))
ALTER TABLE T_EB_INTEGRATION ADD (FSRCORGVIEW BIGINT NOT NULL DEFAULT 0);

-- 加索引
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEGRATION_P3')
CREATE INDEX IDX_EB_INTEGRATION_P3 ON T_EB_INTEGRATION ( FMODELID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEGRATION_P4')
CREATE INDEX IDX_EB_INTEGRATION_P4 ON T_EB_INTEGRATION ( FBIZMODEL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEGRATION_P5')
CREATE INDEX IDX_EB_INTEGRATION_P5 ON T_EB_INTEGRATION ( FEXECUTESCHEME );

-- 数据集成临时表路由增加方案字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_INTEGRATION_ROUTER' AND KSQL_COL_NAME IN ('FSCHEMEID'))
ALTER TABLE T_EB_INTEGRATION_ROUTER ADD (FSCHEMEID BIGINT NOT NULL DEFAULT 0);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEGRATION_ROUTER_SCHEME')
CREATE INDEX IDX_EB_INTEGRATION_ROUTER_SCHEME ON T_EB_INTEGRATION_ROUTER ( FSCHEMEID );