-- 数据集成执行方案表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_INTEGRAEXECUTESCHEME')
CREATE TABLE T_EB_INTEGRAEXECUTESCHEME (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER            	NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FNAME              	NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FTYPE                NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FNODETYPE            NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FPARENT              BIGINT               NOT NULL DEFAULT 0,
   FBIZMODEL         	BIGINT       		 NOT NULL DEFAULT 0,
   FMODEL               BIGINT               NOT NULL DEFAULT 0,
   FMODIFIER            BIGINT               NOT NULL DEFAULT 0,
   FMODIFYDATE          DATETIME
);
 EXEC P_ALTERPK 'PK_EB_INTEGRAEXECUTESCHEME', 'T_EB_INTEGRAEXECUTESCHEME', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEEXESCHEME_P1')
CREATE INDEX IDX_EB_INTEEXESCHEME_P1 ON T_EB_INTEGRAEXECUTESCHEME ( FMODEL,FTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEEXESCHEME_P2')
CREATE INDEX IDX_EB_INTEEXESCHEME_P2 ON T_EB_INTEGRAEXECUTESCHEME ( FBIZMODEL,FTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTEEXESCHEME_P3')
CREATE INDEX IDX_EB_INTEEXESCHEME_P3 ON T_EB_INTEGRAEXECUTESCHEME ( FPARENT );

--多语言表
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_INTEGRAEXECUTESCHEME_L')
CREATE TABLE T_EB_INTEGRAEXECUTESCHEME_L (
	FPKID             	NVARCHAR(36)         NOT NULL DEFAULT ' ',
	FID             	BIGINT               NOT NULL DEFAULT 0,
	FLOCALEID           NVARCHAR(10)         NOT NULL DEFAULT ' ',
	FNAME               NVARCHAR(50)         NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_EB_INTEGRAEXECUTESCHEME_L', 'T_EB_INTEGRAEXECUTESCHEME_L', 'FPKID', '1';    

--总账集成方案相关-- 核算组织子表
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_INTERCALORGMEM')
CREATE TABLE T_EB_INTERCALORGMEM (
	FID             	BIGINT               NOT NULL DEFAULT 0,
	FPKID            	BIGINT               NOT NULL DEFAULT 0,
	FBASEDATAID    		BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_EB_INTERCALORGMEM', 'T_EB_INTERCALORGMEM', 'FPKID', '1';    
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_INTERCALORGMEM_P1')
CREATE INDEX IDX_EB_INTERCALORGMEM_P1 ON T_EB_INTERCALORGMEM ( FBASEDATAID );

--合并集成方案相关-- 源组织范围子表
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATAINTERSRCORGRANGE')
CREATE TABLE T_EB_DATAINTERSRCORGRANGE (
	FID             	BIGINT               NOT NULL DEFAULT 0,
	FPKID            	BIGINT               NOT NULL DEFAULT 0,
	FBASEDATAID    		BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_EB_DATAINTERSRCORGRANGE', 'T_EB_DATAINTERSRCORGRANGE', 'FPKID', '1';    
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DATAINTERSRCORGRANGE_P1')
CREATE INDEX IDX_EB_DATAINTERSRCORGRANGE_P1 ON T_EB_DATAINTERSRCORGRANGE ( FBASEDATAID );

-- 总账维度映射子表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_INTEGRA_MAPSCHEME')
CREATE TABLE T_EB_INTEGRA_MAPSCHEME (
    FENTRYID                BIGINT          NOT NULL DEFAULT 0 ,
    FID                     BIGINT          NOT NULL DEFAULT 0 ,
    FSEQ                    INT             NOT NULL DEFAULT 0 ,
    FTITLE                  NVARCHAR(255)   NOT NULL DEFAULT ' ',
    FLEVEL                  INT             NOT NULL DEFAULT 0 ,
    FDIMMEMMAPJSON          NCLOB,                       
    FDIMMAPCONDITIONJSON    NCLOB
);  
 EXEC P_ALTERPK 'PK_EB_INTEGRA_MAPSCHEME', 'T_EB_INTEGRA_MAPSCHEME', 'FENTRYID', '1';

-- 合并维度映射子表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATAINTER_BCMMAP')
CREATE TABLE T_EB_DATAINTER_BCMMAP (
    FENTRYID                BIGINT          NOT NULL DEFAULT 0 ,
    FID                     BIGINT          NOT NULL DEFAULT 0 ,
    FSEQ                    INT             NOT NULL DEFAULT 0 ,
    FDIMSOURCENUMBER        NVARCHAR(255)   NOT NULL DEFAULT ' ',
    FPOINTSOURCEMEM         NVARCHAR(255)   NOT NULL DEFAULT ' ',
    FTARGETDIMNUM           NVARCHAR(255)   NOT NULL DEFAULT ' ',
    FDIMMEMMAP              BIGINT          NOT NULL DEFAULT 0 ,
    FPOINTTARMEM            NVARCHAR(255)   NOT NULL DEFAULT ' '
);  
 EXEC P_ALTERPK 'PK_EB_DATAINTER_BCMMAP', 'T_EB_DATAINTER_BCMMAP', 'FENTRYID', '1';
 
 -- 集成范围子表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_INTEGRATION_RANGE')
CREATE TABLE T_EB_INTEGRATION_RANGE (
    FENTRYID                BIGINT          NOT NULL DEFAULT 0 ,
    FID                     BIGINT          NOT NULL DEFAULT 0 ,
    FSEQ                    INT             NOT NULL DEFAULT 0 ,
    FDIMNUM                 NVARCHAR(255)   NOT NULL DEFAULT ' ',
    FGETVALWAY              NVARCHAR(50)    NOT NULL DEFAULT ' ',
    FMEMRANGE               NCLOB
);  
 EXEC P_ALTERPK 'PK_EB_INTEGRATION_RANGE', 'T_EB_INTEGRATION_RANGE', 'FENTRYID', '1';