-- 维度匹配规则动态匹配
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMMATERULEGROUP' AND KSQL_COL_NAME IN ('FISDYNAMICVALUE')) 
 ALTER TABLE T_EB_DIMMATERULEGROUP ADD (FISDYNAMICVALUE CHAR(1) DEFAULT '0' NOT NULL );
 
-- 维度匹配规则关联冲销方案 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMMATERULEPRC')
CREATE TABLE T_EB_DIMMATERULEPRC (
	FID             	BIGINT               NOT NULL DEFAULT 0,
	FPKID            	BIGINT               NOT NULL DEFAULT 0,
	FBASEDATAID    		BIGINT               NOT NULL DEFAULT 0
);

EXEC P_ALTERPK 'PK_EB_DIMMATERULEPRC', 'T_EB_DIMMATERULEPRC', 'FPKID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DIMMATERULEPRC_P1')
CREATE INDEX IDX_EB_DIMMATERULEPRC_P1 ON T_EB_DIMMATERULEPRC ( FBASEDATAID );  

-- 维度匹配规则关联上游匹配规则组
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMMATERULESRC')
CREATE TABLE T_EB_DIMMATERULESRC (
	FID             	BIGINT               NOT NULL DEFAULT 0,
	FPKID            	BIGINT               NOT NULL DEFAULT 0,
	FBASEDATAID    		BIGINT               NOT NULL DEFAULT 0
);

EXEC P_ALTERPK 'PK_EB_DIMMATERULESRC', 'T_EB_DIMMATERULESRC', 'FPKID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DIMMATERULESRC_P1')
CREATE INDEX IDX_EB_DIMMATERULESRC_P1 ON T_EB_DIMMATERULESRC ( FBASEDATAID );

-- 维度匹配规则分录冲销方案
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMMATERULEBILL' AND KSQL_COL_NAME IN ('FWRITEOFFSCHEMEID'))
ALTER TABLE T_EB_DIMMATERULEBILL ADD (FWRITEOFFSCHEMEID BIGINT NOT NULL DEFAULT 0);

-- 扣减信息字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMMATERULEVALUE')
CREATE TABLE T_EB_DIMMATERULEVALUE (
	FDETAILID 			BIGINT 				NOT NULL DEFAULT 0,
	FVALUEDETAILID 		BIGINT 				NOT NULL DEFAULT 0,
	FSEQ 				INT 				NOT NULL DEFAULT 0,
	FTYPE 				NVARCHAR(50)        NOT NULL DEFAULT ' ',
	FOPERATION 			NVARCHAR(255)       NOT NULL DEFAULT ' ',
	FVALUEFIELD 		NVARCHAR(255)       NOT NULL DEFAULT ' '
);

EXEC P_ALTERPK 'PK_EB_DIMMATERULEVALUE', 'T_EB_DIMMATERULEVALUE', 'FVALUEDETAILID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DIMMATERULEVD')
CREATE INDEX IDX_EB_DIMMATERULEVD ON T_EB_DIMMATERULEVALUE (FDETAILID);




